> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create invoice payment

POST https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/invoices/{invoiceId}/payments
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/createPayment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/invoices/{invoiceId}/payments:
    post:
      operationId: integrators-api-customers-controller-create-payment
      summary: Create invoice payment
      tags:
        - customers
      parameters:
        - name: id
          in: path
          description: Customer Id
          required: true
          schema:
            type: string
        - name: invoiceId
          in: path
          description: Invoice Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Created payment
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_createPayment_Response_200
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentV3Dto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    CreatePaymentV3DtoMethod:
      type: string
      enum:
        - CREDIT_CARD
        - ACH_DEBIT
        - ACH_CREDIT
        - CHECK
        - LINK
      description: Payment method used
      title: CreatePaymentV3DtoMethod
    CreatePaymentV3Dto:
      type: object
      properties:
        receivedAt:
          type: string
          format: date-time
          description: Date when payment was received
        method:
          $ref: '#/components/schemas/CreatePaymentV3DtoMethod'
          description: Payment method used
        reference:
          type: string
          description: Payment reference number
      required:
        - receivedAt
      title: CreatePaymentV3Dto
    Customers_IntegratorsApiCustomersController_createPayment_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Customers_IntegratorsApiCustomersController_createPayment_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "receivedAt": "2023-01-01T00:00:00.000Z"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments"

payload = { "receivedAt": "2023-01-01T00:00:00.000Z" }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"receivedAt":"2023-01-01T00:00:00.000Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments"

	payload := strings.NewReader("{\n  \"receivedAt\": \"2023-01-01T00:00:00.000Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"receivedAt\": \"2023-01-01T00:00:00.000Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"receivedAt\": \"2023-01-01T00:00:00.000Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments', [
  'body' => '{
  "receivedAt": "2023-01-01T00:00:00.000Z"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"receivedAt\": \"2023-01-01T00:00:00.000Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["receivedAt": "2023-01-01T00:00:00.000Z"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/invoices/123e4567-e89b-12d3-a456-426614174000/payments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```